#!/bin/zsh

# Define the path to the Git repository relative to the script directory
repository_path="../overleaf_nuclear_spin_snv"

# Change directory to the repository path
cd "$repository_path" || exit

# Pull the latest changes from the remote repository
git pull

# Add all files starting with "figure"
git add library.bib

# Commit the changes
git commit -m "Update library.bib"

# Push the changes to the remote repository
git push